## ganglia 3.1.7

=== web/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# web/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/ganglia
pkglibdir = $(libdir)/ganglia
pkgincludedir = $(includedir)/ganglia
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/ganglia.inc AUTHORS COPYING
subdir = web
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/daniel/ws/monitor-core-3.1.7/build/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/daniel/ws/monitor-core-3.1.7/build/missing --run tar
APR_CONFIG = /usr/bin/apr-1-config
APR_INCLUDES =  -I/usr/include/apr-1.0 
AR = ar
AUTOCONF = ${SHELL} /home/daniel/ws/monitor-core-3.1.7/build/missing --run autoconf
AUTOHEADER = ${SHELL} /home/daniel/ws/monitor-core-3.1.7/build/missing --run autoheader
AUTOMAKE = ${SHELL} /home/daniel/ws/monitor-core-3.1.7/build/missing --run automake-1.10
AWK = mawk
CC = gcc -std=gnu99
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fno-strict-aliasing -Wall -D_REENTRANT
CPP = gcc -std=gnu99 -E
CPPFLAGS = 
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=none
CXXFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXPORT_SYMBOLS = -export-dynamic
EXPORT_SYMBOLS_DYNAMIC = -export-dynamic
F77 = 
FFLAGS = 
GANGLIA_MAJOR_VERSION = 3
GANGLIA_MICRO_VERSION = 7
GANGLIA_MINOR_VERSION = 1
GANGLIA_VERSION = 3.1.7
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS =  -L/usr/lib
LIBGANGLIA_BINARY_AGE = 0
LIBGANGLIA_INTERFACE_AGE = 0
LIBOBJS = 
LIBS = -ldl -lnsl -lnsl -lpcre -lexpat -lconfuse -lapr-1 -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_RELEASE = 3.1.7
LT_REVISION = 0
MAKEINFO = ${SHELL} /home/daniel/ws/monitor-core-3.1.7/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = ganglia
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHON_BIN = /usr/bin/python
PYTHON_INCLUDES = 
PYTHON_VERSION = 2.5
RANLIB = ranlib
REL = 1
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STATIC_USER_MODULES = 
STRIP = strip
VERSION = 3.1.7
abs_builddir = /home/daniel/ws/monitor-core-3.1.7/web
abs_srcdir = /home/daniel/ws/monitor-core-3.1.7/web
abs_top_builddir = /home/daniel/ws/monitor-core-3.1.7
abs_top_srcdir = /home/daniel/ws/monitor-core-3.1.7
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/daniel/ws/monitor-core-3.1.7/build/install-sh
libdir = /usr/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
modpathstart = 
moduledir = /usr/lib/ganglia
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
setgid_group = daemon
setuid_user = nobody
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc/ganglia
target_alias = 
top_builddir = ..
top_srcdir = ..
varstatedir = /var/lib
FIXCONFIG = $(top_srcdir)/scripts/fixconfig
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/ganglia.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  web/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  web/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	dist-hook distclean distclean-generic distclean-libtool \
	distdir dvi dvi-am html html-am info info-am install \
	install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	uninstall uninstall-am


# Unfortunately, we can't do this here with a pattern rule because
# that is a GNU make feature and is not fully portable
#%:	%.in $(FIXCONFIG)
#	$(FIXCONFIG) $<

# For the moment, it is necessary to provide a rule for each file
# we want to generate - see the rule for ganglia-config in Makefile.am
# for an example

conf.php:       conf.php.in $(FIXCONFIG)
	$(FIXCONFIG) conf.php.in

version.php:    version.php.in $(FIXCONFIG)
	$(FIXCONFIG) version.php.in

install:	conf.php version.php
	@echo
	@echo "================================================================================="
	@echo "     The PHP scripts are not installed by running 'make install'"
	@echo "     Instead, you need to copy the contents of ./web to your web server."
	@echo "     The file 'conf.php' may need some tweaking based on your configuration."
	@echo "================================================================================="
	@echo

dist-hook:
	tar -c --exclude="*CVS" -f - . | (cd $(distdir) && tar -xf -)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
ganglia (3.1.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: aborting due to unexpected upstream changes": use
    dh_autotools-dev_* helper tools for handling config.{guess,sub} in
    debian/rules, make build dependency on autotools-dev versioned, remove
    respective hunks from debian/patches/debian-changes-3.1.7-2.
    (Closes: #651320)
  * Now the package builds once but not twice in a row due to auto-generated
    files; clean them in debian/rules, and remove them from
    debian/patches/debian-changes-3.1.7-2.
  * Fix "post-installation script returns error exit status 1" and "post
    install script fails to add the ganglia user":
    patch from Ubuntu / Mark Mims:
    - Fix options on useradd in postinst. (LP: #854866)
    (Closes: #626407, #561199)

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Jan 2012 16:55:13 +0100

ganglia (3.1.7-2) unstable; urgency=low
  
  * Stop ganglia-monitor from changing permissions on /var/lib/ganglia
    in postinst. Closes: #586909
  * Switch from adduser to useradd in postinst and prerm. Closes: #620505 
  * Include Danish debconf template. Closes: #605328
  * Remove la files from dependency_libs. Closes: #621232 #620721
  * Switch to dpkg-source 3.0 (quilt) format

 -- Stuart Teasdale <sdt@debian.org>  Thu, 07 Apr 2011 21:26:32 +0100

ganglia (3.1.7-1) unstable; urgency=low

  * New upstream version. Closes: #584276. 
  * Bump of standards-version to 3.8.4 
  * Add build-dep on libpcre3-dev

 -- Stuart Teasdale <sdt@debian.org>  Tue, 15 Jun 2010 22:33:13 +0100

ganglia (3.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Czech (Michal Simunek).  Closes: #538741
    - Italian (Vincenzo Campanella).  Closes: #556105
    - Czech (Michal Simunek).  Closes: #574010

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Mar 2010 00:45:10 +0100

ganglia (3.1.2-3) unstable; urgency=high

  * Adjust the default umask of the daemons. Closes: #567175
  * Fix in postinst to change the umask of existing rrds
  * Add build dependency for libdbi0-dev. Closes: #569395
  * Horrid directory mangling in postinst hacked around for permissions 

 -- Stuart Teasdale <sdt@debian.org>  Sat, 13 Feb 2010 23:15:02 +0000

ganglia (3.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload by arrangement with maintainer.

  [ Jonathan Wiltshire ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #539204
  * Debconf translation updates:
     - Swedish (closes: #539217)
     - Finnish (closes: #539325)
     - Czech (closes: #539614)
     - Basque (closes: #539872)
     - French (closes: #540038)
     - Italian (closes: #540200)
     - German (closes: #540220)
     - Spanish (closes: #540708)
     - Portugese (closes: #540769)
     - Russian (closes: #540849)
     - Vietnamese (closes: #547916)
     - Japanese (closes: #551022)
  * Refactor ganglia-webfrontend.{post,pre}inst for changed templates, and
    simultaneously purge old code now that apache2 is the only package in
    Squeeze. Use the a2enmod and a2dismod helpers to enable and disable the
    Apache module instead of directly creating symbolic links.

  [ Christian Perrier ]
  * Debconf translation updates:
    - Galician (Marce Villarino).  Closes: #555451

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Nov 2009 22:02:43 +0100

ganglia (3.1.2-2) unstable; urgency=low

  * Tweaks to ganglia-webfrontend debconf templates
  * If we have an old gmond.conf convert it. Closes: #512154 
  * Changes to the example apache aliases. Closes: #518255

 -- Stuart Teasdale <sdt@debian.org>  Thu, 02 Jul 2009 19:59:35 +0100

ganglia (3.1.2-1) experimental; urgency=low

  * New upstream version with security fixes. (Closes: #512365.)
  * Include the gmond.conf manpage in the ganglia-monitor package.
    Closes: #512695.
  * Fix up the apache config stub. Closes: #512153.

 -- Stu Teasdale <sdt@debian.org>  Sat, 31 Jan 2009 21:43:26 +0000

ganglia (3.1.1-3)
experimental; urgency=low

  * Extra dependencies to allow php5-gd to be loaded 
  * Fix gmond.conf to run gmond as the ganglia user. Closes: #510381

 -- Stu Teasdale <sdt@debian.org>  Tue,  6 Dec 2008 13:30:30 +0000

ganglia (3.1.1-2) experimental; urgency=low

  * Ensure all archs use $prefix/lib for library installs. 
    Closes: #507008.
  * Build option tweaks
  * Ensure graph.d is correctly pulled in. Closes: #507012.
  * actually ship the apapche.conf 

 -- Stuart Teasdale <sdt@debian.org>  Wed, 12 Nov 2008 21:47:51 +0000

ganglia (3.1.1-1) experimental; urgency=low

  * New upstream version
  * Fix libganglia1 version dependencies
  * Change maintainer to sdt@debian.org
  * Add explicit libxml2-dev build-dep. Closes: #493947.

 -- Stuart Teasdale <sdt@debian.org>  Sun, 31 Aug 2008 10:34:13 +0100

ganglia (3.1.0-1) experimental; urgency=low

  * New Upstream version
  * Includes ganglia-webfrontend package. Closes: #284346.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sun, 29 Jun 2008 10:13:45 +0100

ganglia-monitor-core (2.5.7-2) unstable; urgency=low

  * Autoreconfed again for mips/mipsel shared library support.
    Closes: #285212.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sat, 11 Dec 2004 18:07:29 +0000

ganglia-monitor-core (2.5.7-1) unstable; urgency=low

  * New upstream release, closes #281526.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sat, 20 Nov 2004 13:06:30 +0000

ganglia-monitor-core (2.5.5-8) unstable; urgency=low

  * Friendly package takeover, thanks to Preston Smith for his work up to
    now.
  * New maintainer is Stuart Teasdale.
  * New uploaders are Stephen Quinney and Andrew Stribblehill.
  * Removed conflicts with firebird2-utils-super and
    firebird2-utils-classic. firebird2 changed the name of its gstat
    binary to fbstat, closes: #281527.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue, 16 Nov 2004 18:40:32 +0000



=== debian/control ===
Source: ganglia
Section: net
Priority: optional
Maintainer: Stuart Teasdale <sdt@debian.org>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper (>> 5.0.0), librrd2-dev, autoconf, autotools-dev (>= 20100122.1), automake, libapr1-dev, libexpat1-dev, python-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev
Standards-Version: 3.8.4

Package: ganglia-monitor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version})
Description: cluster monitoring toolkit - node daemon
 Ganglia is a scalable, real-time cluster monitoring environment 
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the monitor core program.

Package: gmetad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version})
Suggests: ganglia-monitor, ganglia-webfrontend
Description: cluster monitoring toolkit - Ganglia Meta-Daemon
 Ganglia is a scalable, real-time cluster monitoring environment 
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the 'gmetad' daemon, which collects information from
 ganglia monitor clients and writes it to RRD databases.

Package: libganglia1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: cluster monitoring toolkit - shared libraries
 Ganglia is a scalable, real-time cluster monitoring environment 
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains shared libraries.

Package: libganglia1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libganglia1 (=${binary:Version}), ${shlibs:Depends}
Description: cluster monitoring toolkit - development libraries
 Ganglia is a scalable, real-time cluster monitoring environment 
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains development libraries.

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2, php5 | php5-cgi | libapache2-mod-php5, rrdtool, debconf (>= 0.5), libgd2-noxpm | libgd2-xpm
Recommends: gmetad, php5-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
PACKAGE = ganglia

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -O2 -Wall 
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


config.status: configure
	dh_testdir
	dh_autotools-dev_updateconfig
	# Add here commands to configure the package.
#	autoreconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--libdir=\$${prefix}/lib \
		--sysconfdir=/etc/ganglia \
		--infodir=\$${prefix}/share/info --enable-shared \
		--with-gmetad  
build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ganglia.sgml > ganglia.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
#	-rm -f dotconf-1.0.9/conftest.o
#	-rm -f dotconf-1.0.9/conftest
	-rm -f libtool.old \
		ganglia-config contrib/ganglia_gmond.xml gmetad/gmetad.conf \
		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo \
		web/version.php web/conf.php
	debconf-updatepo
	dh_autotools-dev_restoreconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Add here commands to install the package into debian/ganglia.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/

	# Empty out the dependency field in our .la files
	for file in $(CURDIR)/debian/tmp/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
        done

	# Seed the package directories
	dh_install --sourcedir=debian/tmp

#Install webfrontend
	      cp -a web/*.php web/*.css web/templates web/graph.d \
                 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend
	      cp web/private_clusters debian/apache.conf \
		 debian/ganglia-webfrontend/etc/ganglia-webfrontend

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -i
	dh_fixperms -i
	dh_compress -i
	dh_installdebconf -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
	

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -pganglia-monitor -Xlibganglia 
	dh_installdocs -plibganglia1-dev 
	dh_installdocs -plibganglia1 
	dh_installdocs -pgmetad
	cp $(CURDIR)/gmetad/gmetad.conf $(CURDIR)/debian/gmetad/etc/ganglia
	cp $(CURDIR)/debian/gmond.conf $(CURDIR)/debian/ganglia-monitor/etc/ganglia
	dh_installexamples
	dh_installmenu -s
	dh_installinit -s
	dh_installcron -s
	dh_installman -pganglia-monitor
	dh_installman -plibganglia1-dev
	dh_installman -pgmetad
	dh_installinfo -s
	dh_installchangelogs
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ganglia 3.3.8

=== web/Makefile ===
# Location where gweb should be installed to
DESTDIR = /var/www/html/gweb

APACHE_USER = apache

# Gweb version
GWEB_MAJOR_VERSION = 3
GWEB_MINOR_VERSION = 3
GWEB_MICRO_VERSION = 1

# Gweb statedir (where RRD files, Dwoo templates are stored)
GWEB_STATEDIR = /var/lib
GANGLIA_STATEDIR = $(GWEB_STATEDIR)/ganglia

# Dwoo compile directory
GWEB_DWOO = $(GANGLIA_STATEDIR)/dwoo

GWEB_VERSION = $(GWEB_MAJOR_VERSION).$(GWEB_MINOR_VERSION).$(GWEB_MICRO_VERSION)

DIST_DIR = gweb-$(GWEB_VERSION)
DIST_TARBALL = $(DIST_DIR).tar.gz

TARGETS = conf_default.php gweb.spec version.php

all: default

default:	$(TARGETS)

clean:
	rm -rf $(TARGETS) $(DIST_DIR) $(DIST_TARBALL) rpmbuild

conf_default.php:	conf_default.php.in
	sed -e "s|@varstatedir@|$(GWEB_STATEDIR)|" conf_default.php.in > conf_default.php

gweb.spec:	gweb.spec.in
	sed -e s/@GWEB_VERSION@/$(GWEB_VERSION)/ -e "s|@varstatedir@|$(GWEB_STATEDIR)|" -e "s|@varapacheuser@|$(APACHE_USER)|g" gweb.spec.in > gweb.spec

version.php:	version.php.in
	sed -e s/@GWEB_VERSION@/$(GWEB_VERSION)/ version.php.in > version.php

dist-dir:	default
	rsync --exclude "rpmbuild" --exclude "*.gz" --exclude "Makefile" --exclude "$(DIST_DIR)" --exclude ".git*" --exclude "*.in" --exclude "*~" --exclude "#*#" --exclude "gweb.spec" -a . $(DIST_DIR)

install:	dist-dir
	mkdir -p $(GWEB_DWOO)/compiled && \
	mkdir -p $(GWEB_DWOO)/cache && \
	rsync -a $(DIST_DIR)/conf/ $(GANGLIA_STATEDIR)/conf && \
	rsync --exclude "conf" -a $(DIST_DIR)/* $(DESTDIR) && \
	chown -R $(APACHE_USER):$(APACHE_USER) $(GWEB_DWOO) $(GANGLIA_STATEDIR)/conf	

dist-gzip:	dist-dir
	if [ -f $(DIST_TARBALL) ]; then \
	rm -rf $(DIST_TARBALL) ;\
	fi ;\
	tar -czf $(DIST_TARBALL) $(DIST_DIR)/*

rpm: dist-gzip gweb.spec
	rm -rf rpmbuild
	mkdir rpmbuild
	mkdir rpmbuild/SOURCES 
	mkdir rpmbuild/BUILD 
	mkdir rpmbuild/RPMS 
	mkdir rpmbuild/SRPMS
	cp $(DIST_TARBALL) rpmbuild/SOURCES
	rpmbuild --define '_topdir $(PWD)/rpmbuild' -bb gweb.spec

uninstall:
	rm -rf $(DESTDIR) $(GWEB_DWOO) $(GANGLIA_STATEDIR)/conf

=== debian/changelog ===
ganglia (3.3.8-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Add a README.Debian.security file discussing limited security support for
    this package (closes: #702775). 

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Mar 2013 18:52:40 +0000

ganglia (3.3.8-1) unstable; urgency=low

  * Check URL arguments thoroughly (Closes: #683584)
  * Fix un-initialized return code variable
  * Fix memory leak
  * Fix issue where Ganglia fails to start with NetworkManager
    (Closes: #638628)
  * Extra logging of buffer sizes for troubleshooting a common problem
  * Add Daniel Pocock as uploader (Debian Maintainer)
  * Add VCS URLs to control file.
  * PO translation didn't get into the package properly.

  [ Stuart Teasdale ]
  * Stop deleting web/version.php during clean as it comes from upstream

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 13 Aug 2012 15:17:28 +0200

ganglia (3.3.5-2) unstable; urgency=low

  * Add dutch translation. Closes: #658494.
  * Activated hardening flags from dpkg-buildflags. Closes: #655126.
  * Change pid file generation so the daemons do it. 
    Closes: #651293 #526146 #65124
  * Add httpd to the depends: for the web front end. Closes: #578620.
  * New translation for Polish. Closes: #667085.
  * New translation for Brazilian Portuguese. Closes: #667563.

 -- Stuart Teasdale <sdt@debian.org>  Thu, 05 Apr 2012 18:27:56 +0100

ganglia (3.3.5-1) experimental; urgency=low

  * New upstream version

 -- Stuart Teasdale <sdt@debian.org>  Tue, 27 Mar 2012 22:22:03 +0100

ganglia (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Stuart Teasdale <sdt@debian.org>  Thu, 08 Mar 2012 20:11:24 +0000

ganglia (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Stuart Teasdale <sdt@debian.org>  Sat, 21 Jan 2012 10:35:23 +0000

=== debian/control ===
Source: ganglia
Section: net
Priority: optional
Maintainer: Stuart Teasdale <sdt@debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper (>> 5.0.0), librrd2-dev, autoconf, autotools-dev, automake, libapr1-dev, libexpat1-dev, python-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, libtool, rsync
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/collab-maint/ganglia.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ganglia.git;a=summary

Package: ganglia-monitor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version})
Description: cluster monitoring toolkit - node daemon
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the monitor core program.

Package: ganglia-monitor-python
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, python, ganglia-monitor (>= ${binary:Version})
Description: cluster monitoring toolkit - python modules
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the monitor core python plugins.

Package: gmetad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version})
Suggests: ganglia-monitor, ganglia-webfrontend
Description: cluster monitoring toolkit - Ganglia Meta-Daemon
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the 'gmetad' daemon, which collects information from
 ganglia monitor clients and writes it to RRD databases.

Package: libganglia1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: cluster monitoring toolkit - shared libraries
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains shared libraries.

Package: libganglia1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libganglia1 (=${binary:Version}), ${shlibs:Depends}
Description: cluster monitoring toolkit - development libraries
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains development libraries.

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2 | httpd-cgi, php5 | php5-cgi | libapache2-mod-php5, rrdtool, debconf (>= 0.5), libgd2-noxpm | libgd2-xpm
Recommends: gmetad, php5-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,11 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -O2 -Wall 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -22,16 +23,22 @@
 
 config.status: configure
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	# Just in case, make sure changelog exists
+	touch ChangeLog
 	# Add here commands to configure the package.
-#	autoreconf
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+	# Intermittent errors about missing Tpo files appear during
+	# the build, many people have suggested running autoreconf
+	# before a build can avert that:
+	autoreconf --install && (cd libmetrics && autoreconf --install)
+	#chmod +x configure libmetrics/configure
+	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--libdir=\$${prefix}/lib \
 		--sysconfdir=/etc/ganglia \
 		--infodir=\$${prefix}/share/info --enable-shared \
-		--with-gmetad  
+		--with-gmetad
 build: build-stamp
+	make -C web
 
 build-stamp:  config.status
 	dh_testdir
@@ -45,7 +52,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
@@ -54,7 +61,8 @@
 	-rm -f libtool.old \
 		ganglia-config contrib/ganglia_gmond.xml gmetad/gmetad.conf \
 		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo \
-		web/version.php web/conf.php
+		web/conf.php
+	-rm -rf debian/patches/ .pc/
 	debconf-updatepo
 	dh_autotools-dev_restoreconfig
 	dh_clean
@@ -64,7 +72,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	
+
 	# Add here commands to install the package into debian/ganglia.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
 
@@ -76,11 +84,22 @@
 	# Seed the package directories
 	dh_install --sourcedir=debian/tmp
 
+	# Install the python modules
+	mkdir -p debian/ganglia-monitor-python/etc/ganglia/conf.d/
+	mkdir -p debian/ganglia-monitor-python/usr/lib/ganglia/python_modules/
+	cp debian/modpython.conf debian/ganglia-monitor-python/etc/ganglia/conf.d/
+	cp gmond/python_modules/*/*.pyconf* \
+		debian/ganglia-monitor-python/etc/ganglia/conf.d/
+	cp gmond/python_modules/*/*.py \
+		debian/ganglia-monitor-python/usr/lib/ganglia/python_modules/
+
 #Install webfrontend
-	      cp -a web/*.php web/*.css web/templates web/graph.d \
-                 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend
-	      cp web/private_clusters debian/apache.conf \
+	$(MAKE) -C web install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend/usr/share/ganglia-webfrontend  GWEB_STATEDIR=$(CURDIR)/debian/ganglia-webfrontend/var/lib
+	mkdir -p debian/ganglia-webfrontend/etc/apache2/conf.d/
+	cp -f web/debian/apache.conf \
 		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
+	cp -f web/debian/conf_debian.php \
+		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -97,16 +116,16 @@
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
-	
+
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
-	dh_installdocs -pganglia-monitor -Xlibganglia 
-	dh_installdocs -plibganglia1-dev 
-	dh_installdocs -plibganglia1 
+#	dh_installdebconf
+	dh_installdocs -pganglia-monitor -Xlibganglia
+	dh_installdocs -plibganglia1-dev
+	dh_installdocs -plibganglia1
 	dh_installdocs -pgmetad
 	cp $(CURDIR)/gmetad/gmetad.conf $(CURDIR)/debian/gmetad/etc/ganglia
 	cp $(CURDIR)/debian/gmond.conf $(CURDIR)/debian/ganglia-monitor/etc/ganglia
@@ -131,4 +150,4 @@
 	dh_builddeb -s
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install

## ganglia 3.6.0

=== debian/changelog ===
ganglia (3.6.0-6ubuntu4) xenial; urgency=medium

  * Build-depend on zlib1g-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 17:07:02 +0100

ganglia (3.6.0-6ubuntu3) xenial; urgency=medium

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 16:45:18 +0100

ganglia (3.6.0-6ubuntu2) xenial; urgency=medium

  * Fix build dependency on librrd-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 15:52:22 +0100

ganglia (3.6.0-6ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.
    - Convert autoreconf handling to dh-autoreconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 14:36:06 +0000

ganglia (3.6.0-6) unstable; urgency=medium

  * Fix for missing service file. (Closes: #764836)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 12 Oct 2014 13:25:45 +0200

ganglia (3.6.0-5ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.
    - Convert autoreconf handling to dh-autoreconf.
  * Declare "XS-Testsuite: autopkgtest" so that the tests are actually run.
  * Add missing service file for gmond.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Oct 2014 13:45:49 +0100

ganglia (3.6.0-5) unstable; urgency=medium

  * Add force option to autoreconf.  (Closes: #726396)

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 04 Oct 2014 12:33:42 +0200

ganglia (3.6.0-4) unstable; urgency=medium

  * Add README.source

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 13:40:37 +0200

ganglia (3.6.0-3) unstable; urgency=medium

  * Fix for missing service file. (Closes: #759940)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 11:58:04 +0200

ganglia (3.6.0-2) unstable; urgency=low

  * Fix for kFreeBSD builds

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 05 Sep 2013 11:53:06 +0200

ganglia (3.6.0-1ubuntu2) saucy; urgency=low

  * Convert autoreconf handling to dh-autoreconf.
  * Pass --force to autoreconf so that it updates config.guess and
    config.sub (closes: #541107).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 12:43:52 +0100

ganglia (3.6.0-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jul 2013 10:17:59 +0100

ganglia (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Add a debian/watch file.
  * Stop removing debian/patches directory in clean target so that we
    can include patches to upstream.
  * Fix truncation of large block sizes in disk space reporting
    (Closes: Bug#694623).
  * Update Maintainer and VCS entries for entry to pkg-monitoring on alioth

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 16:27:26 +0200

ganglia (3.3.8-1+nmu1ubuntu3) saucy; urgency=low

  * Depend on libgd3 rather than libgd2-noxpm | libgd2-xpm.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 09:48:45 +0100

ganglia (3.3.8-1+nmu1ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 10:31:58 +0200

ganglia (3.3.8-1+nmu1ubuntu1) raring; urgency=low

  * debian/{ganglia-monitor,gmetad}.upstart: Upstartify init scripts.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 22 Mar 2013 00:51:27 -0400

ganglia (3.3.8-1ubuntu1) raring; urgency=low

  * Upstartify init scripts (LP: #656427, LP: #1078711).

 -- Jonathan Davies <jonathan.davies@canonical.com>  Wed, 14 Nov 2012 15:23:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ganglia
 Section: net
 Priority: optional
-Maintainer: Stuart Teasdale <sdt@debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Homepage: http://www.ganglia.info/
-Build-Depends: debhelper (>> 5.0.0), librrd2-dev, autoconf, autotools-dev, automake, libapr1-dev, libexpat1-dev, python-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, libtool, rsync
-Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/collab-maint/ganglia.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ganglia.git;a=summary
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Monitoring Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
+Uploaders: Stuart Teasdale <sdt@debian.org>, Daniel Pocock <daniel@pocock.pro>
+Homepage: http://ganglia.info/
+Build-Depends: debhelper (>> 9.0.0), librrd-dev, zlib1g-dev, dh-autoreconf, pkg-config, libapr1-dev, libexpat1-dev, python-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, rsync, libkvm-dev [kfreebsd-any]
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-monitoring/ganglia.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-monitoring/ganglia.git
+XS-Testsuite: autopkgtest
 
 Package: ganglia-monitor
 Architecture: any
@@ -58,14 +60,3 @@
  .
  This package contains development libraries.
 
-Package: ganglia-webfrontend
-Architecture: all
-Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2 | httpd-cgi, php5 | php5-cgi | libapache2-mod-php5, rrdtool, debconf (>= 0.5), libgd2-noxpm | libgd2-xpm
-Recommends: gmetad, php5-gd
-Description: cluster monitoring toolkit - web front-end
- Ganglia is a scalable, real-time cluster monitoring environment
- that collects cluster statistics in an open and well-defined XML
- format.
- .
- This package contains the PHP-based web front-end, which displays
- information gathered by 'gmetad'.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 endif
 
 
+autoreconf:
+	autoreconf --force --install
+	cd libmetrics && autoreconf --force --install
+
 config.status: configure
 	dh_testdir
 	# Just in case, make sure changelog exists
@@ -29,7 +33,7 @@
 	# Intermittent errors about missing Tpo files appear during
 	# the build, many people have suggested running autoreconf
 	# before a build can avert that:
-	autoreconf --install && (cd libmetrics && autoreconf --install)
+	dh_autoreconf debian/rules -- autoreconf
 	#chmod +x configure libmetrics/configure
 	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
@@ -38,7 +42,6 @@
 		--infodir=\$${prefix}/share/info --enable-shared \
 		--with-gmetad
 build: build-stamp
-	make -C web
 
 build-stamp:  config.status
 	dh_testdir
@@ -60,11 +63,9 @@
 #	-rm -f dotconf-1.0.9/conftest
 	-rm -f libtool.old \
 		ganglia-config contrib/ganglia_gmond.xml gmetad/gmetad.conf \
-		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo \
-		web/conf.php
-	-rm -rf debian/patches/ .pc/
-	debconf-updatepo
-	dh_autotools-dev_restoreconfig
+		gmond/gmond.solaris.init gmond/modules/conf.d/modpython.conf solaris/pkginfo
+	#debconf-updatepo
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -92,14 +93,6 @@
 		debian/ganglia-monitor-python/etc/ganglia/conf.d/
 	cp gmond/python_modules/*/*.py \
 		debian/ganglia-monitor-python/usr/lib/ganglia/python_modules/
-
-#Install webfrontend
-	$(MAKE) -C web install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend/usr/share/ganglia-webfrontend  GWEB_STATEDIR=$(CURDIR)/debian/ganglia-webfrontend/var/lib
-	mkdir -p debian/ganglia-webfrontend/etc/apache2/conf.d/
-	cp -f web/debian/apache.conf \
-		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
-	cp -f web/debian/conf_debian.php \
-		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -137,7 +130,7 @@
 	dh_installman -plibganglia1-dev
 	dh_installman -pgmetad
 	dh_installinfo -s
-	dh_installchangelogs
+	dh_installchangelogs -s
 	dh_link -s
 	dh_strip -s
 	dh_compress -s

=== debian/tests/control ===
Tests: gmond gmetad
Depends: netcat, @

=== debian/watch ===
version=3
http://sf.net/ganglia/ganglia-(\d.+)\.tar\.gz
